%define build_dbus 0
%define external_addins 0
%define filename %name-%version
%define _requires_exceptions libtomboy.so

Name:           tomboy
Version:        1.4.0
Release:        %mkrel 4
Summary:        Desktop note-taking application for Linux and Unix
Group:          Graphical desktop/GNOME
License:        LGPL+ and GPLv2+
URL:            http://www.gnome.org/projects/tomboy/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/tomboy/%{filename}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  gtkspell-devel
BuildRequires:  gnome-sharp2-devel
BuildRequires:  gnome-desktop-sharp-devel
BuildRequires:  libpanel-applet-devel
BuildRequires:  mono-devel
BuildRequires:  mono-addins
BuildRequires:	mono-addins-devel
BuildRequires:  galago-sharp
BuildRequires:	ndesk-dbus-glib
BuildRequires:  gmime-sharp >= 2.4.0
%if %external_addins
BuildRequires:  mono-addins
%endif
%if %build_dbus
BuildRequires: ndesk-dbus-glib
%endif
BuildRequires: automake1.8
BuildRequires: intltool
BuildRequires: gnome-doc-utils
BuildRequires: desktop-file-utils
BuildRequires: locales-en
Requires: %mklibname gtkspell 0
Requires: libmono0
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Obsoletes:	%name < %version


%description
Tomboy is a desktop note-taking application for Linux and Unix. Simple
and easy to use, but with potential to help you organize the ideas and
information you deal with every day. The key to Tomboy's usefulness
lies in the ability to relate notes and ideas together. Using a
WikiWiki-like linking system, organizing ideas is as simple as typing
a name. Branching an idea off is easy as pressing the Link button. And
links between your ideas won't break, even when renaming and
reorganizing them.

%prep
%setup -q -n %filename


%build
export LC_ALL=en_US.UTF-8
export MONO_SHARED_DIR=`pwd`

%configure2_5x --enable-galago=yes --disable-scrollkeeper --disable-update-mimedb --enable-dbus=no \
%if %external_addins
  --with-mono-addins=system \
%endif

make

%install

%{__rm} -rf ${RPM_BUILD_ROOT} %name.lang
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/%{name}/lib*.la
%find_lang %name --with-gnome


# fix desktop entries
perl -pi -e "s^\@VERSION\@^%version^" %buildroot%_datadir/applications/*
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/tomboy.desktop

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%define schemas %name

%post_install_gconf_schemas %name
%update_menus
%update_icon_cache hicolor
%update_scrollkeeper

%preun
%preun_uninstall_gconf_schemas %name

%postun
%clean_menus
%clean_icon_cache hicolor
%clean_scrollkeeper


%files -f %name.lang
%defattr(-,root,root,-)
%doc NEWS README AUTHORS
%_sysconfdir/gconf/schemas/%name.schemas
%{_bindir}/%{name}
%_mandir/man1/%name.1*
%_datadir/applications/*
%_datadir/icons/hicolor/*/apps/tomboy*
%_datadir/icons/hicolor/*/mimetypes/application-x-note.*
%_datadir/mime/packages/tomboy.xml
%_datadir/%name
%{_libdir}/%{name}/libtomboy.so
%{_libdir}/%{name}/Tomboy.exe
%{_libdir}/%{name}/Tomboy.exe.config
%{_libdir}/%{name}/Tomboy.exe.mdb
%{_libdir}/%{name}/addins/
%_libdir/pkgconfig/tomboy-addins.pc
%_datadir/dbus-1/services/org.gnome.Tomboy.service

%changelog
* Tue Mar 01 2011 Texstar <texstar at gmail.com> 1.4.0-4pclos2011
- rebuild

* Sun Nov 27 2010 Texstar <texstar at gmail.com> 1.4.0-3pclos2010
- add libmono0 to requires

* Wed Sep 29 2010 Texstar <texstar at gmail.com> 1.4.0-2pclos2010
- fix build

* Tue Sep 28 2010 siamer <siamer@wp.pl> 1.4.0-1pclos2010
- new version
- add BuildRequires: ndesk-dbus-glib

* Thu Aug 05 2010 Texstar <texstar at gmail.com> 1.3.0-2pclos2010
- disable dbus not needed

* Mon Jun 07 2010 slick50 <lxgator at gmail.com> 1.3.0-1pclos2010
- 1.3.0

* Wed May 19 2010 Texstar <texstar at gmail.com> 1.2.1-1pclos2010
- 1.2.1

* Mon Mar 08 2010 slick50 <lxgator at gmail.com> 1.1.4-1pclos2010
- 1.1.4

* Mon Feb 08 2010 slick50 <lxgator at gmail.com> 1.1.2-1pclos2010
- 1.1.2

* Mon Jan 25 2010 slick50 <lxgator at gmail.com> 1.1.1-1pclos2010
- 1.1.1

* Mon Nov 16 2009 slick50 <lxgator at gmail.com> 1.0.1-1pclos2010
- 1.0.1

* Mon Oct 19 2009 Texstar <texstar at gmail.com> 1.0.0-3pclos2010
- rebuild against update mono

* Fri Oct 09 2009 Texstar <texstar at gmail.com> 1.0.0-2pclos2010
- system rebuild

* Fri Oct 09 2009 Texstar <texstar at gmail.com> 1.0.0-1pclos2010
- 1.0.0

* Sat Jul 04 2009 slick50 <lxgator at mail.com> 0.15.2-1pclos2009
- 0.15.2

* Tue May 19 2009 Texstar <texstar at mail.com> 0.14.1-1pclos2009
- rebuild for gmime


